hu.akarnokd.rxjava2.util

## Class CompositeSubscription

- java.lang.Object
- - hu.akarnokd.rxjava2.util.CompositeSubscription

All Implemented Interfaces:
  org.reactivestreams.Subscription

    public final class CompositeSubscription
    extends java.lang.Object
    implements org.reactivestreams.Subscription

Container for Subscriptions and atomic operations on them.

### Constructor Summary

Constructors
Constructor and Description
`CompositeSubscription()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `add(org.reactivestreams.Subscription s)`
`void` `cancel()`
`void` `delete(org.reactivestreams.Subscription s)`
`void` `request(long n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompositeSubscription

    public CompositeSubscription()

### Method Detail

#### add

    public boolean add(org.reactivestreams.Subscription s)

#### delete

    public void delete(org.reactivestreams.Subscription s)

#### request

    public void request(long n)

Specified by:
  `request` in interface `org.reactivestreams.Subscription`

#### cancel

    public void cancel()

Specified by:
  `cancel` in interface `org.reactivestreams.Subscription`